#ifndef Support_INCLUDED
#define Support_INCLUDED

//////////////////////////////////////////////////////////////////////////////////
//
//
//   File : Support.h
//
//   Created : 10/06/98
//   By : Patrick McDaniel
//
//   Description : This file conains support macros for the kdhsim suite of
//                 applications.
//
//   *** Change History ***
//
//   10/06/98 Created File : DPM
//
//////////////////////////////////////////////////////////////////////////////////

// *** Include Files ***
#ifdef AIX
#include <stdlib.h>   /* for exit() */
#endif

// Project Include Files

// *** Definitions *** 
#define SUPASSERT(a,b) SupAssert(a,b,__LINE__,__FILE__)
#define MAX(a,b) ((a>b)?a:b)
#define MIN(a,b) ((a<b)?a:b)

// Global Functions

void SupAssert( int expr, const char *txt, int lineno, const char *file );
  // Assert on a expression at line/file

#endif
